Name:           blueonyx-z-push
Version:        1.3
Release:        RC2
Packager:       Michael Stauber <mstauber@blueonyx.it>
Vendor:         z-push.sourceforge.net
URL:            z-push.sourceforge.net
License:        GPL
Group:          System Environment/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#BuildArch:      i386
Distribution:   BlueOnyx
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        Z-push implementation of the ActiveSync protocol for BlueOnyx

%description
Z-push is an implementation of the ActiveSync protocol which is used 'over-the-air' for 
multi platform ActiveSync devices, including Windows Mobile, iPhone, Sony Ericsson and 
Nokia mobile devices. With Z-push any groupware can be connected and synced with these 
devices.

%prep
%setup -qn %{name}-%{version}-%{release}

%build

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

rm -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/admserv/conf.d/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/include/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/backend/
%{__mkdir} -p %{buildroot}/usr/sausalito/ui/web/z-push/state/
%{__cp} -ad /root/rpmbuild/BUILD/%{name}-%{version}-%{release}/* %{buildroot}/

# Files:
  find %{buildroot}/ -type f -print | \
    sed "s@^%{buildroot}@@g" | \
    grep -v *.spec | \
    grep -v perllocal.pod | \
    grep -v \.hidden | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

%post

/bin/chown -R apache:apache /usr/sausalito/ui/web/z-push/state/
/etc/init.d/admserv reload > /dev/null 2>&1

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)
%config(noreplace) /usr/sausalito/ui/web/z-push/config.php

%changelog

* Sat Apr 10 2010  Michael Stauber <mstauber@blueonyx.it>
- [1.3-RC2]: Initial Build for CentOS + BlueOnyx.

